Skip to main content

Journal Events

To enable third-party systems to promptly obtain the results of journal transfers (cash / position), Broker OpenAPI supports an asynchronous event push mechanism for journal transfer–related operations (cash / position).

When the status of a journal transfer operation (cash / position) changes, the system will deliver event notifications, and subscribed clients will receive the final or intermediate execution results.

Cash Journal

Cash Journal Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "JOURNAL",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"from_account": "93IUJ28O9VO2KBGHDHR4H9",
"to_account": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"journal_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"journal_type": "CASH",
"amount": "100",
"currency": "USD",
"status": "CANCELED",
"reason": "xxxxxx",
"biz_type": "CASH_JOURNAL"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as JOURNAL
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
from_accountstringFrom account id.
to_accountstringTo account id.
client_request_idstringClient Request ID, unique for each request.
journal_idstringRequest id generated by the system.
journal_typestringJournal type, fixed as CASH
amountstringAmount
currencystringCurrency, See the currency field in the Query Cash Journal Detail API response.
statusstringRequest status, See the status field in the Query Cash Journal Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
biz_typestringBusiness type, fixed as CASH_JOURNAL

Position Journal

Position Journal Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "JOURNAL",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"from_account": "93IUJ28O9VO2KBGHDHR4H9",
"to_account": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"journal_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"journal_type": "POSITION",
"instrument_type": "EQUITY",
"market": "US",
"symbol": "BULL",
"quantity": "100",
"status": "CANCELED",
"reason": "xxxxxx",
"biz_type": "POSITION_JOURNAL"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as JOURNAL
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
from_accountstringFrom account id.
to_accountstringTo account id.
client_request_idstringClient Request ID, unique for each request.
journal_idstringRequest id generated by the system.
journal_typestringJournal type, fixed as POSITION
marketstringMarket code indicating the trading venue or regulatory region of the financial instrument. See the market field in the Query Position Journal Detail API response.
instrument_typestringType of financial instrument associated with the request. See the instrument_type field in the Query Position Journal Detail API response.
symbolstringSymbol name.
quantitystringQuantity
statusstringRequest status, See the status field in the Query Position Journal Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
biz_typestringBusiness type, fixed as POSITION_JOURNAL